Name: H5Pget_hyper_cache
Signature:
  herr_t `H5Pget_hyper_cache`(hid_t `plist`, unsigned *`cache`, unsigned *`limit` )
Purpose:
  [NOTE: This function is deprecated in HDF5 Release 1.6 and will eventually be removed from the HDF5 distribution. It is provided in this release only to enable backward compatibility with HDF5 Releases 1.4.x and is enabled only if the HDF5 library is configured with the flag `H5_WANT_H5_V1_4_COMPAT`; the function is not enabled in the binaries distributed by NCSA. ]

  Returns information regarding the caching of hyperslab blocks during I/O.

Description:
  Given a dataset transfer property list, `H5Pget_hyper_cache` returns instructions regarding the caching of hyperslab blocks during I/O. These parameters are set with the `H5Pset_hyper_cache` function.
Parameters:

hid_t `plist`
  IN: Dataset transfer property list identifier.
unsigned *`cache`
  OUT: A flag indicating whether caching is set to on (`1`) or off (`0`).
unsigned *`limit`
  OUT: Maximum size of the hyperslab block to cache. `0` (zero) indicates no limit.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5pget_hyper_cache_f

      SUBROUTINE h5pget_hyper_cache_f(prp_id, cache, limit, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: prp_id ! Property list identifier
        INTEGER, INTENT(OUT) :: cache        !
        INTEGER, INTENT(OUT) :: limit        ! Maximum size of the hyperslab
                                             ! block to cache
                                             ! 0 (zero) indicates no limit
        INTEGER, INTENT(OUT) :: hdferr       ! Error code
                                             ! 0 on success and -1 on failure
      END SUBROUTINE h5pget_hyper_cache_f